using System;

internal sealed class Delegate77 : MulticastDelegate
{
	public extern object Invoke(object object_0);

	public static object smethod_0(object object_0, Delegate77 delegate77_1)
	{
		return delegate77_1(object_0);
	}

	public extern Delegate77(object object_0, IntPtr intptr_0);

	static Delegate77()
	{
		Class10.smethod_13(typeof(Delegate77).TypeHandle);
	}

	internal static Delegate77 delegate77_0;
}
